![Signals Logo](./signals.png "Signals Logo")

## Description

This is a complete re-write of my "Custom Signals" mod. 
This modification to Factorio adds a few new virtual signals. 
Mathematical, Directional, and Power signals are added by this mod. 
Support for a few other mods is also rolled in.

* "Reactors", if it is installed, will have the signals moved a bit further down 
in the signal window, and a couple other power-related signals are with them as well. 
Some reactor signals ("Stopping" and "Emergency Shutdown") have colors assigned to 
them so they may light up a lamp easily. The colors can be disabled (or changed) in 
the config file.
* If "Smarter Trains" is installed the signals added by that mod will also be moved
slightly in the signal windows, and they also have new graphics.
* If you have "More Signal Color" installed the signals will be moved down and mixed
in with the rest of the color signals, which have been organized a bit better.

The Generic power signals will only be active if "Reactors" is not installed, or if
"Reactors" is installed, but disabled in my mod's config file. I do not recommend 
installing and disabling "Reactors" support in this mod, while keeping the generic 
power signals enabled. If you do so, you will have two sets of (almost) the same 
signals.

---
## Signal Look & Feel

* Mathematics = Blue Background  
![Blue Background](./graphics/icons/colors/5.png "Blue Background")
* Generic Power Signals = Yellow Background  
![Yellow Background](./graphics/icons/colors/8.png "Yellow Background")
* Directions = Red Background  
![Red Background](./graphics/icons/colors/3.png "Red Background")
* Smarter Trains signals = Purple Background  
![Purple Background](./graphics/icons/colors/4.png "Purple Background")

* Stopping Signal (Reactors), if hooked up to a light, will emit a flat yellow color
to the light
* Emergency Shutdown (Reactors), if hooked up to a light, will emit a flat red color 
to the light
* Reset signal, if hooked up to a light, will emit a flat orange color to the light
(See third screenshot for color comparisons)

---
## Aditional Information
I still plan on adding more to this mod, but do not know how fast that can happen, 
as I am usually quite busy.

---
## To be worked on

* Support for more mods that add custom signals.
* Some way to change the color assigned to a signal in-game, or based off the value the
signal is representing

---
## Special thanks to...


* GotLag - For the "Kana Signals" mod, which inspired this mod. And also for the "Reactors" mod.
* Xeteth - For the "Customisable Scrolling Display", which made me want more signals.
* Choumiko - For the "Smarter Trains" mod.
* devilwarriors - For the "More Signal Color" mod.

---
## Version History
### 1.1.14

* Updated mod to support Reactors version 1.5.0, Reactor Target Output signal now supported

### 1.0.14

* Complete rewrite
* Removed Most of the extra signals
* Expanded to support other mods

### 0.6.14

* Initial Release (as Custom Signals)

### < 0.6.14

* Prehistory (and lots of changes)